/*    
    WinDVD Plugin for ATI Remote Wonder
    Copyright 2002-2003 Jonathan Zarate

    This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation; either version 2 of the License, or (at your
	option) any later version.

    This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
	or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
	for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software Foundation,
	Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "stdafx.h"
#include "ActionCodes.h"

CActionCode ActionCodes[] = {
	{"[RemoteWonder Default]",	ACT_NONE},
	{"[Do Nothing]",			ACT_IGNORE},

	{"Menu: Title",			ACT_MENUTITLE},
	{"Menu: Root",			ACT_MENUROOT},

	{"Play",				ACT_PLAY},
	{"Pause",				ACT_PAUSE},
	{"Stop",				ACT_STOP},

	{"Skip Forward",		ACT_SKIPFORWARD},
	{"Skip Backward",		ACT_SKIPBACKWARD},
	{"Fast Forward",		ACT_FFORWARD},
	{"Rewind",				ACT_REWIND},
	{"Previous Chapter",	ACT_CHAPTERPREV},
	{"Next Chapter",		ACT_CHAPTERNEXT},
	{"Step Forward",		ACT_STEPFORWARD},
	{"Step Back",			ACT_STEPBACK},

	{"Time Stretch: Slower",ACT_TSTRETCHSLOW},
	{"Time Stretch: Faster",ACT_TSTRETCHFAST},
	{"Time Stretch: Normal",ACT_TSTRETCHNORM},

	{"Audio Channel (L/R)", ACT_AUDIOCHAN},
	{"Audio Track/Language",ACT_AUDIOLANG},
	{"Subtitle",			ACT_SUBTITLE},
	{"Angle",				ACT_ANGLE},

	{"Volume +",			ACT_VOLUMEUP},
	{"Volume -",			ACT_VOLUMEDN},
	{"Volume Mute",			ACT_VOLUMEMT},

	{"Mixer Volume +",		ACT_MIXVOLUP},
	{"Mixer Volume -",		ACT_MIXVOLDN},
	{"Mixer Volume Mute",	ACT_MIXVOLMUTE},

	{"0",					ACT_0},
	{"1",					ACT_1},
	{"2",					ACT_2},
	{"3",					ACT_3},
	{"4",					ACT_4},
	{"5",					ACT_5},
	{"6",					ACT_6},
	{"7",					ACT_7},
	{"8",					ACT_8},
	{"9",					ACT_9},

	{"Up",					ACT_UP},
	{"Down",				ACT_DOWN},
	{"Left",				ACT_LEFT},
	{"Right",				ACT_RIGHT},
	{"Select/Enter",		ACT_SELECT},

	{"AB Repeat: Set A",			ACT_ABSETA},
	{"AB Repeat: Set B/Start AB",	ACT_ABSETB},
	{"AB Repeat: Clear",			ACT_ABCLEAR},

	{"Track/Title Repeat",	ACT_REPEATMODE},

	{"Eject",				ACT_EJECT},
	{"Open File/Play List",	ACT_PLAYLIST},
	{"DVD/CD Drive Select (not in some WinDVD versions)",	ACT_DRIVECYCLE},

	{"Brightness+",			ACT_BRIGHTUP},
	{"Brightness-",			ACT_BRIGHTDN},

	{"Capture Frame",		ACT_CAPTURE},

	{"Zoom",				ACT_ZOOM},
	{"Full Screen",			ACT_FULLSCREEN},
	{"Exit WinDVD",			ACT_EXIT},

	{"Plugin: Setup",		ACT_PLUGINSETUP},

	{NULL, NULL}
};
