#pragma once
struct CActionCode {
	char* Name;
	DWORD Code;
};

extern CActionCode ActionCodes[];


// 11------ -------- -------- --------
#define ACTF_ALTCODE 				0x80000000		// ignored; used to generate a different code# for the same code

// -111---- -------- -------- --------
#define ACTF_NO_DOWN  				0x40000000
#define ACTF_ON_UP  				0x20000000		
#define ACTF_ON_REPEAT				0x10000000

// -----111 -------- -------- --------
#define ACTF_F_MASK					0x0F000000
#define ACTF_F_SPECIAL				0x00000000
#define ACTF_F_KEYDOWN				0x01000000		//
#define ACTF_F_WMCOMMAND   			0x02000000		// postmesssage(wm_command)
//#define ACTF_F_WMCOMMAND_S 		0x03000000		// sendmessage(wm_command)

// -------- -------- ---11111 --------
#define ACTF_KEY_CTRL				0x00000100
//#define ACTF_KEY_ALT				0x00000200
#define ACTF_KEY_SHIFT				0x00000400
#define ACTF_KEY_NOSFW				0x00000800

//
#define ACTF_KEY_VALUE_MASK			0x000000FF
#define ACTF_WMCOMMAND_VALUE_MASK	0x0000FFFF
#define ACTF_SPECIAL_VALUE_MASK		0x0000FFFF

#define MACT_SPECIAL(a)		(ACTF_F_SPECIAL|a)
#define MACT_KEYDOWN(a)		(ACTF_F_KEYDOWN|a)
#define MACT_WMCOMMAND(a)	(ACTF_F_WMCOMMAND|a)

#define ACT_NONE			0	// don't claim the code
#define ACT_IGNORE			1	// eat the code

#define ACT_PLUGINSETUP		MACT_SPECIAL(0x0011|ACTF_NO_DOWN|ACTF_ON_UP)

#define ACT_AUDIOLANG		MACT_SPECIAL(0x0100)
#define ACT_SUBTITLE		MACT_SPECIAL(0x0101)
#define ACT_ANGLE			MACT_SPECIAL(0x0102)
#define ACT_AUDIOCHAN		MACT_SPECIAL(0x0103)

#define ACT_TSTRETCHNORM	MACT_SPECIAL(0x0110)
#define ACT_TSTRETCHSLOW	MACT_SPECIAL(0x0111)
#define ACT_TSTRETCHFAST	MACT_SPECIAL(0x0112)

#define ACT_ZOOM			MACT_SPECIAL(0x0120)

#define	ACT_DRIVECYCLE		MACT_SPECIAL(0x0130)

#define ACT_MIXVOLMUTE		MACT_SPECIAL(0x200|ACTF_ON_UP|ACTF_ON_REPEAT)
#define ACT_MIXVOLUP		MACT_SPECIAL(0x201|ACTF_ON_UP|ACTF_ON_REPEAT)
#define ACT_MIXVOLDN		MACT_SPECIAL(0x202|ACTF_ON_UP|ACTF_ON_REPEAT)

#define ACT_PLAY			MACT_KEYDOWN(VK_RETURN|ACTF_NO_DOWN|ACTF_ON_UP)
#define ACT_PAUSE			MACT_WMCOMMAND(34437|ACTF_NO_DOWN|ACTF_ON_UP)
#define ACT_STOP			MACT_WMCOMMAND(34442|ACTF_NO_DOWN|ACTF_ON_UP)
#define ACT_SKIPFORWARD		MACT_WMCOMMAND(34642|ACTF_ON_REPEAT)
#define ACT_SKIPBACKWARD	MACT_WMCOMMAND(34641|ACTF_ON_REPEAT)
#define ACT_FFORWARD		MACT_WMCOMMAND(34480)
#define ACT_REWIND			MACT_WMCOMMAND(34481)
#define	ACT_STEPFORWARD		MACT_WMCOMMAND(34635|ACTF_ON_REPEAT)
#define ACT_STEPBACK		MACT_WMCOMMAND(34636|ACTF_ON_REPEAT)
#define ACT_CHAPTERPREV		MACT_WMCOMMAND(34438|ACTF_ON_REPEAT)
#define ACT_CHAPTERNEXT		MACT_WMCOMMAND(34439|ACTF_ON_REPEAT)
#define ACT_MENUTITLE		MACT_WMCOMMAND(34005)
#define ACT_MENUROOT		MACT_WMCOMMAND(34006)
#define ACT_UP				MACT_KEYDOWN(VK_UP|ACTF_KEY_NOSFW)
#define ACT_DOWN			MACT_KEYDOWN(VK_DOWN|ACTF_KEY_NOSFW)
#define ACT_LEFT			MACT_KEYDOWN(VK_LEFT|ACTF_KEY_NOSFW)
#define ACT_RIGHT			MACT_KEYDOWN(VK_RIGHT|ACTF_KEY_NOSFW)
#define ACT_SELECT			MACT_KEYDOWN(VK_RETURN|ACTF_KEY_NOSFW)
#define ACT_VOLUMEUP		MACT_WMCOMMAND(34478|ACTF_ON_REPEAT)
#define ACT_VOLUMEDN		MACT_WMCOMMAND(34479|ACTF_ON_REPEAT)
#define ACT_VOLUMEMT		MACT_WMCOMMAND(34403)

#define ACT_0				(ACTF_F_KEYDOWN|VK_NUMPAD0)
#define ACT_1				(ACTF_F_KEYDOWN|VK_NUMPAD1)
#define ACT_2				(ACTF_F_KEYDOWN|VK_NUMPAD2)
#define ACT_3				(ACTF_F_KEYDOWN|VK_NUMPAD3)
#define ACT_4				(ACTF_F_KEYDOWN|VK_NUMPAD4)
#define ACT_5				(ACTF_F_KEYDOWN|VK_NUMPAD5)
#define ACT_6				(ACTF_F_KEYDOWN|VK_NUMPAD6)
#define ACT_7				(ACTF_F_KEYDOWN|VK_NUMPAD7)
#define ACT_8				(ACTF_F_KEYDOWN|VK_NUMPAD8)
#define ACT_9				(ACTF_F_KEYDOWN|VK_NUMPAD9)

#define ACT_ABSETA			MACT_WMCOMMAND(34421)
#define ACT_ABSETB			MACT_WMCOMMAND(34422)
#define ACT_ABCLEAR			MACT_WMCOMMAND(34423)
#define ACT_REPEATMODE		MACT_WMCOMMAND(34424)
#define ACT_BRIGHTUP		MACT_WMCOMMAND(34476|ACTF_ON_REPEAT)
#define ACT_BRIGHTDN		MACT_WMCOMMAND(34477|ACTF_ON_REPEAT)
#define ACT_FULLSCREEN		MACT_WMCOMMAND(34467)
#define ACT_CAPTURE			MACT_WMCOMMAND(34626)
#define ACT_PLAYLIST		MACT_WMCOMMAND(34522)
#define ACT_EJECT			MACT_WMCOMMAND(34440|ACTF_NO_DOWN|ACTF_ON_UP)
#define ACT_EXIT			MACT_WMCOMMAND(34436|ACTF_NO_DOWN|ACTF_ON_UP)


